﻿using System.Text.Json.Serialization;

namespace Hotline.Share.Dtos.DataSharing.Province.XieTong.Send
{
    /// <summary>
    /// 服务工单催单
    /// </summary>
    public class SendRemindCaseInfoRequest : ProvinceRequest<RemindCaseInfoInfo>
    {
        public override string GetRequestUrl() => "remind_case_info";

        public override string GetHttpMethod() => "Post";
    }

    /// <summary>
    /// 服务工单催单
    /// </summary>
    public class RemindCaseInfoInfo : BaseModel
    {
        /// <summary>
        /// 催单时间
        /// </summary>
        [JsonPropertyName("REMIND_TIME")]
        public DateTime? RemindTime { get; set; }

        /// <summary>
        /// 操作人员
        /// </summary>
        [JsonPropertyName("REMIND_NAME")]
        public string RemindName { get; set; }

        /// <summary>
        /// 催单理由
        /// </summary>
        [JsonPropertyName("REMIND_REASION")]
        public string RemindReasion { get; set; }
    }
}
